<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.ModuleFilter.ModuleFilter</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Processors.html" >Processors</a>.<a href="../ModuleFilter.html" >ModuleFilter</a>
</div><div class="class-name">class ModuleFilter

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Processors/ModuleFilter.py.html" target="detail">../Synopsis/Processors/ModuleFilter.py</a></div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.ModuleFilter.ModuleFilter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line11" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="ModuleFilter-inheritance" src="ModuleFilter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ModuleFilter-inheritance_map" />
<map name="ModuleFilter-inheritance_map"></map>
 <div class="doc">A processor that filters modules.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="modules">modules</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line14" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="remove_empty">remove_empty</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line15" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_builtin">visit_builtin</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line59" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_group">visit_group</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line60" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_scope">visit_scope</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line61" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_enum">visit_enum</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line62" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleFilter.ModuleFilter.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line17" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ModuleFilter.html#push" >push</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleFilter.ModuleFilter.push" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line31" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ModuleFilter.html#pop" >pop</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.ModuleFilter.ModuleFilter.pop" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line37" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ModuleFilter.html#pop_only" >pop_only</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleFilter.ModuleFilter.pop_only" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line44" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ModuleFilter.html#add" >add</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.ModuleFilter.ModuleFilter.add" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line49" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ModuleFilter.html#visit_declaration" >visit_declaration</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleFilter.ModuleFilter.visit_declaration" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line54" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ModuleFilter.html#visit_module" >visit_module</a></span>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleFilter.ModuleFilter.visit_module" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line64" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="push">push</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleFilter.ModuleFilter.push" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line31" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Pushes the current scope onto the stack and starts a new one</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="pop">pop</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.ModuleFilter.ModuleFilter.pop" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line37" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Pops the current scope from the stack&#44; and appends the given
        declaration to it</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="pop_only">pop_only</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleFilter.ModuleFilter.pop_only" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line44" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Only pops&#44; doesn't append to scope</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="add">add</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.ModuleFilter.ModuleFilter.add" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line49" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds the given decl to the current scope</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declaration">visit_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleFilter.ModuleFilter.visit_declaration" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line54" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds declaration to scope</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_module">visit_module</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleFilter.ModuleFilter.visit_module" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleFilter.py.html#line64" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Visits all children of the module&#44; and if there are no declarations
        after that removes the module</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:59 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
